.purple-bg {
    position: relative;
    background-color: #fff0
}

.purple-bg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 59%;
    background-color: rgb(102 71 208);
    z-index: -1
}

.blue-bg {
    position: relative;
    background-color: #fff0
}

.blue-bg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 53%;
    background-color: #077CBD;
    z-index: -1
}

.parentsTestimonial .swiper {
    width: 100%;
    padding-top: 30px;
    padding-bottom: 30px
}

.parentsTestimonial .swiper-slide {
    background-position: center;
    background-size: cover;
    width: 510px;
    height: 285px;
    filter: blur(1px);
    opacity: .5
}

.parentsTestimonial .swiper-slide-active {
    filter: blur(0);
    opacity: 1
}

.parentsTestimonial .swiper-pagination-bullet-active {
    background-color: var(--tp-purple-2)
}

.parentsTestimonial .testimonialBox {
    background-color: #f6f4ee;
    padding: 40px 30px;
    border-radius: 14px
}

.parentsTestimonial .swiper-3d .swiper-slide-shadow-right,
.parentsTestimonial .swiper-3d .swiper-slide-shadow-left {
    background-image: none
}

.parent__navigation {
    position: relative;
    bottom: 0;
    display: flex;
    justify-content: center;
    gap: 40px;
    align-items: center;
    margin-top: 50px
}

.parent__navigation .swiper-button-next,
.swiper-rtl .swiper-button-prev {
    border: 8px solid #6647D0;
    bottom: 0 !important;
    width: 16px !important;
    height: 16px !important;
    padding: 24px !important;
    border-radius: 50px;
    display: flex;
    position: relative
}

.parent__navigation .swiper-button-next:after {
    content: '';
    background-image: url(../../../assets/home/parent__icon.webp);
    width: 16px;
    height: 16px;
    position: absolute;
    top: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    left: 50%;
    transform: translate(-50%, -50%) rotate(180deg);
    animation: pulseNext 1.5s infinite;
    -webkit-animation: pulseNext 1.5s infinite
}

.parent__navigation .swiper-button-prev {
    left: 10px;
    border: 8px solid #6647D0;
    right: 10px;
    bottom: 0 !important;
    width: 16px !important;
    height: 16px !important;
    padding: 24px;
    border-radius: 50px;
    display: flex;
    position: relative
}

.parent__navigation .swiper-button-prev:after {
    content: '';
    background-image: url(../../../assets/home/parent__icon.webp);
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 16px;
    height: 16px;
    font-weight: 700;
    color: #161613;
    transform: translate(-50%, -50%) rotate(0deg);
    animation: pulsePrev 1.5s infinite;
    top: 50%;
    left: 50%;
    -webkit-animation: pulsePrev 1.5s infinite
}

.tp-underline-shape-2,
.tp-section-title span svg,
.tp-underline-shape-3 {
    position: absolute;
    bottom: -14px;
    left: 45px
}

.branch__yellowstrip {
    bottom: -25px !important
}

.video-container video {
    width: 79%;
    height: auto
}

.banner__admission {
    bottom: 80px
}

.banner__admission p.home__banner__text {
    background: #fff;
    padding: 12px;
    border-radius: 5px;
    display: inline-block;
    color: #6647D0;
    font-weight: 800;
    font-size: 20px
}

p.home__banner__text span {
    color: #000;
    font-size: 24px;
    font-weight: 400
}

.tp-shop-banner-dot {
    position: relative !important;
    width: 100%;
    bottom: 40px !important;
    transform: none;
    z-index: 99;
    display: flex;
    justify-content: center;
    left: 0 !important
}

.vish-purple-trust {
    position: absolute;
    bottom: 5px;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, -50%)
}

.mobile__bm {
    margin-bottom: 0
}

@media screen and (max-width:768px) {
    .parent__navigation {
        margin-top: 130px !important
    }

    .mobile__padding {
        padding: 50px 10px
    }

    .service__mobile .row {
        padding-top: 77px
    }

    .mobile__tp__service__item {
        margin: 0 !important
    }

    .service__mobile {
        gap: 100px !important;
        padding-top: 60px
    }

    .tp-service-all span {
        display: flex;
        flex-direction: column;
        gap: 10px
    }

    .tp-service-shape-1 {
        position: absolute;
        bottom: 5px !important;
        left: 50% !important;
        z-index: -1;
        transform: translate(-50%, -50%)
    }

    .tp-blog-title {
        font-size: 16px !important
    }

    .desktop__img,
    .home__banner__text {
        display: none !important
    }

    .mobile__img {
        display: block
    }

    .tp-hero-item {
        position: relative;
        padding-top: 0 !important;
        padding-bottom: 0 !important
    }

    .video-container video {
        width: 100%;
        height: auto
    }

    .mb-40 {
        margin-bottom: 20px
    }

    .video-container {
        width: 100% !important;
        padding-top: 56.25% !important;
        border-radius: 10px
    }

    .parentsTestimonial .testimonialBox {
        display: flex;
        align-items: center;
        text-align: center;
        margin: 0 43px
    }

    .testimonialBox .row {
        padding: 0 20px
    }

    .schoolLife__img__grid__wrapper {
        overflow-x: auto;
        justify-content: flex-start;
        scroll-snap-type: x mandatory;
        grid-auto-flow: column;
        grid-auto-columns: minmax(250px, 300px);
        grid-template-columns: repeat(auto-fill, minmax(250px, 300px));
        scrollbar-width: none;
        padding: 0 !important
    }

    .mobile__img {
        display: block !important
    }

    #gallery-item-1,
    #gallery-item-2,
    #gallery-item-3,
    #gallery-item-4,
    #gallery-item-5,
    #gallery-item-6,
    #gallery-item-7,
    #gallery-item-8 {
        grid-area: auto !important
    }

    .parentsTestimonial .swiper {
        padding-bottom: 0 !important
    }

    body .achivementSwiper .swiper-wrapper {
        justify-content: normal !important
    }

    body .achivementSwiper .swiper-wrapper .swiper-slide {
        width: 100% !important
    }

    .purple__strip p {
        line-height: 50px;
        font-size: 30px !important;
        padding: 0 !important
    }

    .achivementSwiper .swiper-wrapper .swiper-slide img {
        max-width: 100%;
        width: 100%;
        padding: 20px
    }

    .achievement__line {
        transform: translate(-50%, -50%) !important;
        left: 50% !important
    }

    .yello__text {
        position: relative !important;
        left: 0 !important;
        top: 0 !important
    }

    .branch__btn {
        flex-direction: column;
        align-items: normal !important;
        margin: 0
    }

    .our__branch p {
        padding: 8px 0 !important
    }

    .tp-blog-tag a {
        line-height: 40px
    }

    .tp-blog-meta span span {
        font-weight: 500
    }

    body .swiper-pagination-bullet-active {
        background-color: var(--tp-theme-primary) !important
    }

    .tp-hero-subtitle {
        margin-left: 0 !important;
        font-family: var(--tp-ff-p)
    }

    .admission__strip {
        left: 155px !important
    }

    .wwsLife__explore {
        margin-bottom: 15px
    }

    .about-area .mobile__left {
        padding-top: 25px;
        text-align: left !important
    }
}

.mobile__img {
    display: none
}

.video-container {
    position: relative;
    overflow: hidden;
    width: 79%;
    padding-top: 44.25%;
    margin: 0 auto
}

.responsive-iframe {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%
}

.modal__wrapper .modal-dialog {
    max-width: 850px !important
}

.modal__wrapper .btn-close {
    position: relative;
    right: 10px;
    top: 10px;
    font-size: 13px;
    font-weight: 800;
    cursor: pointer;
    z-index: 1000000
}

.modal__wrapper img {
    border-radius: 50px;
    margin-bottom: 16px
}

.testimonialBox img {
    border-radius: 50px
}

textarea {
    height: 80px !important
}

label {
    font-weight: 400;
    font-size: 16px;
    color: #010F1C;
    margin-bottom: 5px
}

input[type=text],
input[type=email],
input[type=tel],
input[type=number],
input[type=password],
input[type=url],
textarea {
    border-color: #D9D9D9;
    border-radius: 8px;
    margin-bottom: 8px
}

.contactSection a {
    font-size: 20px;
    font-weight: 600;
    color: #010F1C;
    display: block;
    line-height: 42px
}

.white-btn {
    background-color: var(--tp-common-white);
    color: var(--tp-theme-primary);
    border: 1px solid var(--tp-theme-primary)
}

.btn-wt {
    background-color: var(--tp-common-white);
    color: var(--tp-theme-primary);
    border: 1px solid #fff0;
    padding: 8px 24px
}

.btn-pp {
    padding: 8px 22px
}

.contact__underline {
    left: -19px !important
}

body .achivementSwiper .swiper-wrapper {
    justify-content: space-around
}

body .achivementSwiper .swiper-wrapper .swiper-slide {
    width: auto
}

.purple__strip {
    background: #6647D0;
    padding: 25px;
    border-radius: 16px
}

.purple__strip p {
    font-size: 35px;
    font-weight: 600;
    color: #fff;
    text-align: center;
    padding: 40px
}

.purple__strip p span {
    color: #F5D253
}

.platinum__swiper {
    border-radius: 14px;
    background: #FFF;
    box-shadow: 1px 2px 9px 2px #c7c7c7;
    padding: 35px;
    position: relative;
    width: 90%;
    margin: 0 auto;
    top: -30px
}

.accordion-body a {
    color: #57595f;
    font-size: 18px;
    font-weight: 400;
    transition: all 0.3s ease-in-out;
    text-decoration: underline
}

.accordion-body a:hover,
.tp-blog-tag a:hover {
    color: var(--tp-theme-primary)
}

.yello__text {
    font-size: 23px;
    padding: 15px 25px;
    background: #F5C959;
    color: #000;
    font-style: italic;
    font-weight: 400;
    display: inline-block;
    position: absolute;
    top: 128px;
    right: 270px;
    margin: 0;
    outline-width: 1px;
    outline-offset: 0;
    outline-color: var(--tp-theme-primary);
    ;
    outline-style: solid;
    animation: animateOutline 4s ease infinite;
    border-radius: 5px
}

@keyframes animateOutline {
    0% {
        outline-width: 1px;
        outline-offset: 0;
        outline-color: #fff0
    }

    10% {
        outline-color: var(--tp-theme-primary);
    }

    50% {
        outline-width: 7px;
        outline-offset: 4px;
        outline-color: #fff0
    }

    100% {
        outline-width: 7px;
        outline-offset: 4px;
        outline-color: #fff0
    }
}

.our__branch {
    transition: 400ms ease
}

.our__branch p {
    color: #fff
}

.our__branch::after {
    content: "";
    display: block;
    height: 2px;
    width: 0;
    background-color: var(--tp-theme-primary) !important;
    transition: width 0.3s
}

.our__branch:hover::after {
    width: 100%
}

.c-btn {
    padding: 10px 29px !important;
    color: var(--tp-theme-primary) !important;
    background-color: white !important;
    font-weight: 600 !important
}

.faq__wrapper {
    background-color: #f6f4ee
}

.tp-faq-box .tpd-accordion .accordion-button.collapsed,
.tp-faq-box .tpd-accordion .accordion-button:not(.collapsed),
.contact__wrapper,
.tp-faq-box .tpd-accordion .accordion-body {
    background-color: white !important
}

@keyframes pulsePrev {
    0% {
        transform: translate(-50%, -50%) rotate(0deg) scale(1);
        opacity: 1;
        -webkit-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -moz-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -ms-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -o-transform: translate(-50%, -50%) rotate(0deg) scale(1)
    }

    50% {
        transform: translate(-50%, -50%) rotate(180deg) scale(1.2);
        opacity: .7;
        -webkit-transform: translate(-50%, -50%) rotate(0deg) scale(1.2);
        -moz-transform: translate(-50%, -50%) rotate(0deg) scale(1.2);
        -ms-transform: translate(-50%, -50%) rotate(0deg) scale(1.2);
        -o-transform: translate(-50%, -50%) rotate(0deg) scale(1.2)
    }

    100% {
        transform: translate(-50%, -50%) rotate(0deg) scale(1);
        opacity: 1;
        -webkit-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -moz-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -ms-transform: translate(-50%, -50%) rotate(0deg) scale(1);
        -o-transform: translate(-50%, -50%) rotate(0deg) scale(1)
    }
}

@keyframes pulseNext {
    0% {
        transform: translate(-50%, -50%) rotate(180deg) scale(1);
        opacity: 1;
        -webkit-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -moz-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -ms-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -o-transform: translate(-50%, -50%) rotate(180deg) scale(1)
    }

    50% {
        transform: translate(-50%, -50%) rotate(0deg) scale(1.2);
        opacity: .7;
        -webkit-transform: translate(-50%, -50%) rotate(180deg) scale(1.2);
        -moz-transform: translate(-50%, -50%) rotate(180deg) scale(1.2);
        -ms-transform: translate(-50%, -50%) rotate(180deg) scale(1.2);
        -o-transform: translate(-50%, -50%) rotate(180deg) scale(1.2)
    }

    100% {
        transform: translate(-50%, -50%) rotate(180deg) scale(1);
        opacity: 1;
        -webkit-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -moz-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -ms-transform: translate(-50%, -50%) rotate(180deg) scale(1);
        -o-transform: translate(-50%, -50%) rotate(180deg) scale(1)
    }
}

.admission__strip {
    position: absolute;
    bottom: -14px;
    left: 280px
}

p.highlight {
    color: #6841ea
}

.achivementSwiper .row {
    justify-content: center;
    row-gap: 25px;
    text-align: center
}

.tp-about-list-title {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.tp-about-list-title span {
    font-size: 26px;
    font-weight: 600;
    color: var(--tp-theme-primary)
}